W3builders
AOP API

AOP API/Documents & Invoices

Update Document

PATCH/finance/documents/{id}
JWT bearer

Update a document. Only permitted while status = draft (400 once sent/approved/etc — use status transitions, credit/debit notes, or duplicate instead).

Endpoint

PATCHhttps://api.w3builders.com/v1/finance/documents/{id}

Request body

  • Any of: reference, issue_date, due_date, valid_until, client_name/email/phone/address/gstin/state/state_code, currency, exchange_rate, discount_type, discount_value, place_of_supply, template, brand_color, watermark, show_signature, show_stamp, show_bank_details, show_qr, notes, terms, header_text, footer_text
  • line_items[] (optional — replaces all line items and recalculates totals)

Response parameters

Update Document
curl -X PATCH https://api.w3builders.com/v1/finance/documents/123 \
-H "Authorization: Bearer $TOKEN"
{
"shape": "Same shape as GET /finance/documents/{id}"
}
Was this page helpful?